Bug 217990 - Review Request: perl-Gnome2-VFS - Perl interface to the 2.x series of the GNOME VFS library
Summary: Review Request: perl-Gnome2-VFS - Perl interface to the 2.x series of the GNO...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL: http://search.cpan.org/dist/Gnome2-VFS/
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-12-01 04:17 UTC by Chris Weyl
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-02 19:42:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Weyl 2006-12-01 04:17:54 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Gnome2-VFS-1.061-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Gnome2-VFS.spec

Description:
This module allows you to interface with the GNOME Virtual File System
library. It provides the means to transparently access files on all kinds of
filesystems.

Comment 1 Parag AN(पराग) 2006-12-01 08:54:27 UTC
Will review this

Comment 2 Parag AN(पराग) 2006-12-01 14:55:28 UTC
Tried building package.
Got 
I: perl-Gnome2-VFS checking
W: perl-Gnome2-VFS devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/Gnome2/VFS/Install/vfs2perl-version.h
A development file (usually source code) is located in a non-devel
package. If you want to include source code in your package, be sure to
create a development package.

W: perl-Gnome2-VFS devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/Gnome2/VFS/Install/vfs2perl.h
A development file (usually source code) is located in a non-devel
package. If you want to include source code in your package, be sure to
create a development package.

W: perl-Gnome2-VFS devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/Gnome2/VFS/Install/vfs2perl-gtypes.h
A development file (usually source code) is located in a non-devel
package. If you want to include source code in your package, be sure to
create a development package.

W: perl-Gnome2-VFS devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/Gnome2/VFS/Install/vfs2perl-autogen.h
A development file (usually source code) is located in a non-devel
package. If you want to include source code in your package, be sure to
create a development package.

All above are ignored as its perl package.

Unrecognized argument in LIBS ignored: '-pthread'
Which again here can be ignored as per 
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=166252

Got many
cpio: Gnome2-VFS-1.061/GnomeVFS.c: No such file or directory
cpio: Gnome2-VFS-1.061/GnomeVFS.xs: No such file or directory
cpio: Gnome2-VFS-1.061/GnomeVFSAddress.c: No such file or directory
...

I think they can also be ignored.


Comment 3 Parag AN(पराग) 2006-12-02 19:07:02 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and but NOT for RPMS.
  But those are ignorable.
+ source files match upstream.
2a9b4f0f380873265bd87754e5f17719  Gnome2-VFS-1.061.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage exists
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Followed perl packaging guidelines.
APPROVED.

Comment 4 Chris Weyl 2006-12-02 19:42:19 UTC
Imported and building for devel; branches requested for FC-[56].

Thanks for the review!


Note You need to log in before you can comment on or make changes to this bug.